error while loading shared libraries ... openmpi

Nich immer einfach, aber meist mit aha-Effekt

Moderator: Mike

error while loading shared libraries ... openmpi

Beitragvon EsIstJazz » Di Sep 23, 2014 9:39

Hej folks,

ich bin es mal wieder über das Forum. ;-) IRC im Firmennetzwerk funktioniert nicht. :-(

ich habe da ein Problem mit einer library von openmpi. Ich habe u.a. auch ohne YaST (openSUSE 13.1) OpenMPI installiert. Nu habe ich festgestellt, dass mein rpm die library libmpi.so.1 nicht mitbekommen hat. Ist also nicht im rpm verzeichnet:

KB@linux-g01q:~> rpm -q --whatprovides libmpi.so.1
no package provides libmpi.so.1


Komme da also mit locate, usw. auch nicht weiter...^^ Mir fehlt da die Erfahrung.

Mit YaST kann ich aber sehen, dass die library installiert sei.

zu openmpi:
Installierte Version
1.7.2-2.1.3
libmpi.so.1()(64bit)
libmpi_cxx.so.1()(64bit)
...


Ich sehe da zwei Fehler-Lösungsmöglichkeiten:
1. RPM kennt die library nicht und ich muss die Tabelle quasi aktualisieren. - Wie geht das?

2. Ich arbeite an einem 64bit Rechner. Vielleicht sucht die Anwendung, die ich starte die 32bit Variante von openmpi? Wie finde ich das raus? Und: Kann ich auch die 32bit Version von openmpi neben der 64bit Version installieren? Kann es da zu Komplikationen kommen?

Gruß
Karsten
Benutzeravatar
EsIstJazz
Neuling
Neuling
 
Beiträge: 5
Registriert: Di Nov 19, 2013 13:47
Wohnort: Husum

Zurück zu Installation

Wer ist online?

Mitglieder in diesem Forum: Bing [Bot] und 1 Gast

cron